summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNIIBE Yutaka <gniibe@fsij.org>2018-11-13 09:34:56 +0900
committerNIIBE Yutaka <gniibe@fsij.org>2018-11-13 10:20:27 +0900
commit5e7988d2da3cdc36ebed3b598c0582028f3715ab (patch)
treee9145274e21a212989d671c86e5a3e05a31d7d35
parentea69c7126ff25d7d44950bf4a70467d577989a34 (diff)
downloadlibassuan-5e7988d2da3cdc36ebed3b598c0582028f3715ab.tar.gz
build: Update autogen.rc and autogen.sh.
* autogen.sh: Update from libgpg-error, version 2018-07-10. * autogen.rc: Remove obsolete --with-gpg-error-prefix option. Signed-off-by: NIIBE Yutaka <gniibe@fsij.org>
-rw-r--r--autogen.rc8
-rwxr-xr-xautogen.sh56
2 files changed, 42 insertions, 22 deletions
diff --git a/autogen.rc b/autogen.rc
index 37e4321..b0284ac 100644
--- a/autogen.rc
+++ b/autogen.rc
@@ -2,15 +2,11 @@
case "$myhost" in
w32)
- configure_opts="
- --with-gpg-error-prefix=@SYSROOT@
- "
+ configure_opts=""
;;
amd64)
- configure_opts="
- --with-gpg-error-prefix=@SYSROOT@
- "
+ configure_opts=""
;;
esac
diff --git a/autogen.sh b/autogen.sh
index e5ba5bf..9b36158 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,6 +1,6 @@
#! /bin/sh
# autogen.sh
-# Copyright (C) 2003, 2014, 2017 g10 Code GmbH
+# Copyright (C) 2003, 2014, 2017, 2018 g10 Code GmbH
#
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without
@@ -15,7 +15,7 @@
# configure it for the respective package. It is maintained as part of
# GnuPG and source copied by other packages.
#
-# Version: 2017-01-17
+# Version: 2018-07-10
configure_ac="configure.ac"
@@ -74,7 +74,6 @@ PRINT_HOST=no
PRINT_BUILD=no
tmp=$(dirname "$0")
tsdir=$(cd "${tmp}"; pwd)
-version_parts=3
if [ -n "${AUTOGEN_SH_SILENT}" ]; then
SILENT=" --silent"
@@ -85,9 +84,10 @@ if test x"$1" = x"--help"; then
echo " --silent Silent operation"
echo " --force Pass --force to autoconf"
echo " --find-version Helper for configure.ac"
- echo " --build-TYPE Configure to cross build for TYPE"
+ echo " --git-build Run all commands to build from a Git"
echo " --print-host Print only the host triplet"
echo " --print-build Print only the build platform triplet"
+ echo " --build-TYPE Configure to cross build for TYPE"
echo ""
echo " ARGS are passed to configure in --build-TYPE mode."
echo " Configuration for this script is expected in autogen.rc"
@@ -159,6 +159,10 @@ case "$1" in
SILENT=" --silent"
shift
;;
+ --git-build)
+ myhost="git-build"
+ shift
+ ;;
--build-w32)
myhost="w32"
shift
@@ -187,6 +191,25 @@ esac
die_p
+# **** GIT BUILD ****
+# This is a helper to build from git.
+if [ "$myhost" = "git-build" ]; then
+ tmp="$(pwd)"
+ cd "$tsdir" || fatal "error cd-ing to $tsdir"
+ ./autogen.sh || fatal "error running ./autogen.sh"
+ cd "$tmp" || fatal "error cd-ing back to $tmp"
+ die_p
+ "$tsdir"/configure || fatal "error running $tsdir/configure"
+ die_p
+ make || fatal "error running make"
+ die_p
+ make check || fatal "error running male check"
+ die_p
+ exit 0
+fi
+# **** end GIT BUILD ****
+
+
# Source our configuration
if [ -f "${tsdir}/autogen.rc" ]; then
. "${tsdir}/autogen.rc"
@@ -215,18 +238,15 @@ if [ "$myhost" = "find-version" ]; then
exit 1
fi
- case "$version_parts" in
- 2)
- matchstr1="$package-$major.[0-9]*"
- matchstr2="$package-$major-base"
- vers="$major.$minor"
- ;;
- *)
- matchstr1="$package-$major.$minor.[0-9]*"
- matchstr2="$package-$major.$minor-base"
- vers="$major.$minor.$micro"
- ;;
- esac
+ if [ -z "$micro" ]; then
+ matchstr1="$package-$major.[0-9]*"
+ matchstr2="$package-$major-base"
+ vers="$major.$minor"
+ else
+ matchstr1="$package-$major.$minor.[0-9]*"
+ matchstr2="$package-$major.$minor-base"
+ vers="$major.$minor.$micro"
+ fi
beta=no
if [ -e .git ]; then
@@ -467,6 +487,10 @@ EOF
EOF
$CP build-aux/git-hooks/commit-msg .git/hooks/commit-msg
chmod +x .git/hooks/commit-msg
+ if [ x"${display_name}" != x ]; then
+ git config format.subjectPrefix "PATCH ${display_name}"
+ git config sendemail.to "${patches_to}"
+ fi
fi
fi